Subject: Re: [PATCH net-next v4 05/17] net: pse-pd: Introduce PSE types enumeration

From: Jakub Kicinski <[email-masked]>
Date: Fri, 16 Feb 2024 17:36:38 -0800

On Fri, 16 Feb 2024 10:42:11 +0100 Köry Maincent wrote:
> > On Thu, 15 Feb 2024 17:02:46 +0100 Kory Maincent wrote:  
> > > Introduce an enumeration to define PSE types (C33 or PoDL),
> > > utilizing a bitfield for potential future support of both types.
> > > Include 'pse_get_types' helper for external access to PSE type info.    
> > 
> > I haven't read the series, just noticed this breaks the build:
> > 
> > error: ../include/uapi/linux/pse.h: missing "WITH Linux-syscall-note" for
> > SPDX-License-Identifier  
> 
> By curiosity how do you get that error? 
> Is it with C=1? I didn't faced it with W=1.
> C=1 is broken for several architecture like arm64, indeed I forgot to run it.

Not 100% sure, TBH, I suspect it's somehow enabled by allmodconfig.
I don't think it's a C=1 thing because our clang build doesn't do C=1
and it also hit it.

> > but why the separate header? Is it going to be used in other parts of
> > uAPI than just in ethtool?  
> 
> We might use it in pse core if capabilities between PoE and PoDL differ but I
> am not sure about it.
> Do you prefer to move it to ethtool header and add prefix ETHTOOL_ to the enum
> values?

I don't know enough to have an opinion :) Whatever you end up doing,
it's probably worth documenting the reason for the choice in the commit
message?

> > > This patch is sponsored by Dent Project <[email-masked]>    
> > 
> > side-note: no objections to the line but for accounting purposes
> > (i.e. when we generate development stats) we use the Author / From
> > line exclusively. So it'd be easier to compute stats of things funded
> > by Dent if you used:
> > 
> > From: Kory Maincent (Dent Project) <[email-masked]>
> > 
> > but that's entirely up to you :)  
> 
> Does adding the line side to the SOB in the commit message is sufficient or
> should I modify the git send email config?

I think you can sed -i s/// the patches? When the From in the email
file doesn't match your git config IIUC git will include the from line
in the body and pick it up from them. IOW it will work. The scripts look
at git author so s-o-b won't do much.